{% extends 'base.html.twig' %}

{% block body %}

<div class="col-lg-12 table-responsive">
        <h3>lliste des membres : </h3>
        <table class="table table-striped table-rounded-radius">
            <thead>
            <tr align="center">
                <th>Actions</th>
                <th>Nom</th>
                <th>Prénom</th>
                <th>Email</th>
                <th>Nombre de tache affecter</th>
            </tr>
            </thead>
            <tbody>
            {% if etudiants is empty %}

                <tr>
                    <td colspan="5">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>

            {% else %}
                {% for etudiant in etudiants %}

                    <tr >
                        <td width="10%">
                            <a class="btn btn-danger" data-toggle="modal" data-target="#delete_member{{ etudiant.id }}" style="color: white"><i class="icon ion-md-trash"></i></a>
                            <a class="btn btn-info" data-toggle="modal" data-target="#showAdmin{{ etudiant.id }}" style="color: white"><i class="icon ion-md-eye"></i></a>
                        </td>
                        <td width="20%" align="center">{{ etudiant.lastName }}</td>
                        <td width="20%" align="center">{{ etudiant.firstName }}</td>
                        <td width="20%" align="center">{{ etudiant.email }}</td>
                        <td width="20%" align="center">{{ etudiant.taches|length }}</td>
                    </tr>
                    <div class="modal fade" id="delete_member{{ etudiant.id }}" tabindex="-1" role="dialog" aria-labelledby="delete_member" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="delete_member">Etes-vous sûr que vous voulez supprimer?</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                    <a  class="btn btn-danger" href="{{ path('groupe_delete_member', { 'etudiant': etudiant.id,'id' : groupe.id }) }}" >Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>



                    <div class="modal fade " id="showAdmin{{ etudiant.id }}" tabindex="-1" role="dialog" aria-labelledby="showAdmin" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="showAdmin">{{ etudiant.lastName }} {{ etudiant.firstName }}</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                        <ul class="list-unstyled">
                                            <li>Nom : {{ etudiant.lastName }} </li>
                                            <li>Prénom : {{ etudiant.firstName }} </li>
                                            <li>Email : {{ etudiant.email }} </li>
                                            <li>Nom d'utilisateur : {{ etudiant.username }} </li>
                                            <li>Dernière connexion : {{ etudiant.lastLogin | date }}</li>
                                        </ul>
                                    {% for t in etudiant.taches %}
                                        <ul class="list-unstyled">
                                            <li>Description :  </li>
                                            <li>
                                                    {{ t.description | nl2br }}

                                            </li>
                                            <li>Type : {{ t.type }}</li>
                                        </ul>
                                    {% endfor %}


                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            {% endif %}
            </tbody>
        </table>

    </div>
<div class="col-lg-12 table-responsive">
        <h3>Liste etudiants</h3>
        <form action="{{ path('groupe_add_members',{ 'groupe' : groupe.id }) }}" method="post">
            <div class="row">
                <div class="col-lg-12">
                    <input type="submit" value="Ajouter etudiants" class="btn btn-primary pull-right" style="margin: 5px">
                </div>
            </div>
            <table class="table table-striped table-rounded-radius"  >
                <thead>
                <tr align="center">
                    <th>
                        <div class="checkbox">
                            <input id="checkbox" hidden name="Etudiants[]" type="checkbox" data-check-all="">
                            <label for="checkbox"></label>
                        </div>
                    </th>
                    <th>Nom</th>
                    <th>Prénom</th>
                    <th>Email</th>
                </tr>
                </thead>
                <tbody>
                {% if etudiants_not_affected is empty %}
                    <tr>
                        <td colspan="5">
                            <p>Il y a pas des données</p>
                        </td>
                    </tr>
                {% else %}
                    {% for student in etudiants_not_affected %}
                        <tr >
                            <td>
                                <div class="checkbox">
                                    <input id="checkbox{{ student.id }}" name="Etudiants[]" value="{{ student.id }}" type="checkbox">
                                    <label for="checkbox{{ student.id }}"></label>
                                </div>
                            </td>
                            <td width="30%" align="center">{{ student.lastName }}</td>
                            <td width="30%" align="center">{{ student.firstName }}</td>
                            <td width="30%" align="center">{{ student.email }}</td>
                        </tr>
                    {% endfor %}
                {% endif %}
                </tbody>
            </table>
        </form>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(etudiants_not_affected) }}
        </nav>
    </div>

{% endblock %}
